www.cendio.com
Bug 5490 - Xvnc debug package lacks source code for RFB code
: Xvnc debug package lacks source code for RFB code
Status: CLOSED FIXED
: ThinLinc
VNC
: pre-1.0
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-04-09 12:10 by
Modified: 2015-04-28 14:37 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-04-09 12:10:42
We're not getting any source code in gdb as such from our Xvnc with regards to
functions outside the Xorg source. The relevant files are missing from the
debug package, but I'm not sure that's all there is to it as gdb never
complains about missing files like it does if I remove something else.
------- Comment #1 From cendio 2015-04-15 09:30:30 -------
Not sure if this is a bit random or what's going on. The nightly builds have
all the debuginfo for x86_64, but not i386.
------- Comment #2 From cendio 2015-04-15 10:43:04 -------
It's just CMake being CMake. Apparently this:

    -DCMAKE_C_FLAGS="-Wall -O3 -g -march=pentium3 -mtune=generic"

results in the variable "CMAKE_C_FLAGS:STRING=-Wall -O3 -g -march=pentium3
-mtune" being set to "generic".

Additional quotes doesn't seem to have any effect. Adding a type solves the
issue though:

    -DCMAKE_C_FLAGS:STRING="-Wall -O3 -g -march=pentium3 -mtune=generic"
------- Comment #3 From cendio 2015-04-15 10:50:26 -------
Fixed in r30234.

Tester needs to verify that we get the debug info in vncviewer and Xvnc, and
that our CFLAGS are used in the builds. Pay extra attention to 32-bit.
------- Comment #4 From cendio 2015-04-16 08:48:48 -------
We are linking fltk static and it seems like fltk debug info is not available,
shouldn't it be possible to include those ?

#0  0xf7ffcce0 in __kernel_vsyscall ()
#1  0x45c8edbd in ___newselect_nocancel () from /lib/libc.so.6
#2  0x080b2557 in fl_wait(double) ()
#3  0x080924ee in Fl::wait(double) ()
#4  0x080523d9 in TLClient::runApplication (this=0x82c9800) at
tlclient_tlclient.cc:474
#5  0x0804f832 in main (argc=16, argv=0x0) at tlclient_main.cc:299
------- Comment #5 From cendio 2015-04-16 08:57:05 -------
(In reply to comment #3)
> Fixed in r30234.
> 
> Tester needs to verify that we get the debug info in vncviewer and Xvnc, and
> that our CFLAGS are used in the builds. Pay extra attention to 32-bit.

Verified debugsymbols for vncviewer and Xvnc for both x86_64 and i686 archs
using build 4726. Looks good except the note on comment #4.
------- Comment #6 From cendio 2015-04-16 09:41:48 -------
(In reply to comment #4)
> We are linking fltk static and it seems like fltk debug info is not available,
> shouldn't it be possible to include those ?
> 

bug 4414.
------- Comment #7 From cendio 2015-04-16 14:56:46 -------
- Verify that debug packages for arm arch also is functional
------- Comment #8 From cendio 2015-04-24 07:51:53 -------
(In reply to comment #7)
> - Verify that debug packages for arm arch also is functional

Verified debug package on armhf platform, works as expected.

Closing.